summaryrefslogtreecommitdiffstats
path: root/system/omnidb-app/omnidb-app.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/omnidb-app/omnidb-app.SlackBuild')
-rw-r--r--system/omnidb-app/omnidb-app.SlackBuild28
1 files changed, 23 insertions, 5 deletions
diff --git a/system/omnidb-app/omnidb-app.SlackBuild b/system/omnidb-app/omnidb-app.SlackBuild
index 942cb031da..e2e59debad 100644
--- a/system/omnidb-app/omnidb-app.SlackBuild
+++ b/system/omnidb-app/omnidb-app.SlackBuild
@@ -27,19 +27,34 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=omnidb-app
-VERSION=${VERSION:-2.16.0}
+VERSION=${VERSION:-2.17.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-ARCH=x86_64
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DEBARCH="amd64"
-LIBDIRSUFFIX="64"
+# Doesn't support 32bit anymore.
+# if [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ]; then
+# DEBARCH="i386"
+# LIBDIRSUFFIX=""
+if [ "$ARCH" = "x86_64" ]; then
+ DEBARCH="amd64"
+ LIBDIRSUFFIX="64"
+else
+ echo "$ARCH is not supported."
+ exit 1
+fi
set -e
@@ -54,7 +69,10 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-# Don't strip the binaries as it would cause the applications to break
+# I removed the following line from the file "omnidb-app.SlackBuild" because
+# it was breaking the app
+# find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+# | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
sed -i -e "s#Icon=omnidb#Icon=/usr/share/icons/hicolor/128x128/apps/omnidb.png#" \
$PKG/usr/share/applications/omnidb-app.desktop